| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Protected Member Functions | List of all members
Digikam::MetadataKeys Class Reference
Inheritance diagram for Digikam::MetadataKeys:

## Protected Member Functions
QString | getDbValue (const QString &key, ParseSettings &settings) override
| Abstract method for retrieving the value from the database for the given key.
Protected Member Functions inherited from Digikam::DbKeysCollection
void | addId (const QString &id, const QString &description)
| Add an ID to the key collection.

## Additional Inherited Members
Public Member Functions inherited from Digikam::DbKeysCollection
| DbKeysCollection (const QString &n)
| Default constructor.
QString | collectionName () const
| Get the name of the DbKeysCollection.
QString | getValue (const QString &key, ParseSettings &settings)
| Get a value from the database.
DbKeyIdsMap | ids () const
| Get all IDs associated with this key collection.

## Member Function Documentation

## ◆ getDbValue()

QString Digikam::MetadataKeys::getDbValue | ( | const QString & | key,
|  | ParseSettings & | settings
| ) |  |
| override protected virtual

This method has to be implemented by all child classes. It is called by the getValue() method.

Parameters

  key | the key representing the value in the database
  settings | the ParseSettings object holding all relevant information about the image.

Returns
  the value of the given database key

See also
  DbKeysCollection::getValue()

Implements Digikam::DbKeysCollection.